There is a gap on bisect run test coverage related with error exits.
Add two tests to control these error cases.
Signed-off-by: Miriam Rubio <redacted>
---
t/t6030-bisect-porcelain.sh | 14 ++++++++++++++
1 file changed, 14 insertions(+)
diff --git a/t/t6030-bisect-porcelain.sh b/t/t6030-bisect-porcelain.sh
index a1baf4e451..f41453cc97 100755
--- a/t/t6030-bisect-porcelain.sh
+++ b/t/t6030-bisect-porcelain.sh
@@ -962,4 +962,18 @@ test_expect_success 'bisect handles annotated tags' '
grep "$bad is the first bad commit" output
'
+test_expect_success 'bisect run fails with exit code equals or greater than 128' '
+ write_script test_script.sh <<-\EOF &&
+ exit 128 >/dev/null
+ EOF
+ test_must_fail git bisect run ./test_script.sh > my_bisect_log.txt
+'
+
+test_expect_success 'bisect run fails with exit code smaller than 0' '
+ write_script test_script.sh <<-\EOF &&
+ exit -1 >/dev/null
+ EOF
+ test_must_fail git bisect run ./test_script.sh > my_bisect_log.txt
+'
+
test_done
--
2.29.2